Requirements for moving from Rhino 5 to Rhino 6 for Mac

Hi,

I have Rhino 5 and my hardware specs are as follows:

Will Rhino 6 work on my computer with all its features? I am interested in upgrading.

https://www.rhino3d.com/6/system_requirements

– Dale

Hi Dale,

I had a look at these but it’s still unclear to me.

Under the operating system list, it mentions “macOS 10.13.6 (High Sierra)” as an acceptable OS.

I am running Rhino 5 right now and am on High Sierra. But I do not understand this comment under the hardware requirements “Apple Mac that can be updated to macOS Mojave.”

Does this mean that future Rhino updates will require me to update to Mojave?

-Ammad

There are some Macs that are just old enough from a hardware point of view, that Apple will not upgrade them to Mojave. They are dead-ended on High Sierra.

These older Macs will not work with V6.
If your Mac can be upgraded to Mojave 10.14.6, or to Catalina, then you should be okay.

That helps. Thank you.

Alas, my Mid-2012 Mac Pro tower is too old, and I should upgrade.

Sounds like it’s time for a new computer.
I hope the new one serves you as well as the old.

Thanks for your help. About to order a new machine. Is it possible to keep my current Rhino license and transfer it to the new machine ?

Yes.